Stop Words — MDDB API

List stop words #

GET /v1/stopwords

List all stop word entries (default + custom) for a collection. Stop words are excluded from FTS indexing.

Authorization: BearerAuth or APIKeyAuth or none

Parameters #

Name In Type Description
collection (required) query string Collection name

Responses #

Status Description Body
200 Stop word list retrieved successfully object (application/json)
400 Invalid request (missing collection parameter) ErrorResponse (application/json)

Add custom stop words #

POST /v1/stopwords

Add custom stop words to a collection. These words will be excluded from FTS indexing.

Authorization: BearerAuth or APIKeyAuth or none

Request body #

Required.

Content type application/json: object

Property Type Description
collection (required) string
words (required) array of string
{
  "collection": "blog",
  "words": [
    "foo",
    "bar"
  ]
}

Responses #

Status Description Body
200 Stop words added successfully object (application/json)
400 Invalid request ErrorResponse (application/json)

Delete custom stop words #

DELETE /v1/stopwords

Delete custom stop words from a collection. Default stop words cannot be deleted.

Authorization: BearerAuth or APIKeyAuth or none

Request body #

Required.

Content type application/json: object

Property Type Description
collection (required) string
words (required) array of string
{
  "collection": "blog",
  "words": [
    "foo"
  ]
}

Responses #

Status Description Body
200 Stop words deleted successfully object (application/json)
400 Invalid request ErrorResponse (application/json)